Subject: bug#52558: Option for easier typing of regexps

From: Richard Stallman <[email-masked]>
Date: Tue, 21 Dec 2021 23:16:17 -0500

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > I've attempted to resolve this issue in the other direction in 
  > Urgrep[1], which provides a unified way of running all these recursive 
  > grep-like tools. Specifically, it defaults to accepting BRE syntax and 
  > then, if the tool only accepts ERE/PCRE, it converts the BRE input into 
  > ERE/PCRE. That's not perfect either since then you end up in a situation 
  > where to use PCRE features, you have to enter them in a BRE-like syntax, 
  > which I find pretty confusing too. (This behavior is customizable in 
  > Urgrep, so if you like ERE/PCRE, you can set those as the input syntax.)

I think it would be a big step forward if we could do something along
these lines in Emacs.  The details may be tricky, though.

-- 
Dr Richard Stallman (https://stallman.org)
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)